Subject: Re: [PATCH 0157/1285] Replace numeric parameter like 0444 with macro

From: Segher Boessenkool <[email-masked]>
Date: Tue, 2 Aug 2016 14:11:30 -0500

On Tue, Aug 02, 2016 at 11:54:47AM -0700, Olof Johansson wrote:
> On Tue, Aug 02, 2016 at 06:45:15PM +0800, Baole Ni wrote:
> > I find that the developers often just specified the numeric value
> > when calling a macro which is defined with a parameter for access permission.
> > As we know, these numeric value for access permission have had the corresponding macro,
> > and that using macro can improve the robustness and readability of the code,
> > thus, I suggest replacing the numeric parameter with the macro.
> 
> Am I the only one who find the readability to be MUCH better for the
> numeric values?

You are not the only one.  Robustness is a non-issue here as well (except
that this patch series showed that some mail servers struggle to handle
1285 emails).

Segher